Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class DTDResolver

    java.lang.Object
      org.jasig.portal.utils.DTDResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

    public class DTDResolver

extends java.lang.Object
implements org.xml.sax.EntityResolver

Provides a means to resolve uPortal DTDs

Version:
  $Revision: 1.13 $
Author:
  Peter Kharchenko, pkharchenko@unicon.net, Ken Weiner, kweiner@unicon.net, Dave Wallace, dwallace@udel.edu modifications

Field Summary
`private java.lang.String` | `dtdName`
`private java.lang.String` | `dtdPath`

Constructor Summary
`DTDResolver()` Constructor for DTDResolver
`DTDResolver(java.lang.String dtdName)` Constructor for DTDResolver

Method Summary
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Sets up a new input source based on the dtd specified in the xml document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dtdPath

    private java.lang.String dtdPath

### dtdName

    private java.lang.String dtdName

Constructor Detail

### DTDResolver

    public DTDResolver()

  Constructor for DTDResolver

### DTDResolver

    public DTDResolver(java.lang.String dtdName)

  Constructor for DTDResolver

  Parameters:
    `dtdName` - the name of the dtd

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)

  Sets up a new input source based on the dtd specified in the xml document

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Parameters:
    `publicId` - the public ID
    `systemId` - the system ID
  Returns:
    an input source based on the dtd specified in the xml document or null if we don't have a dtd that matches systemId or publicId

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD